Buscar entidad por RUT
curl --request GET \
--url https://api.abacco.ai/v1/master-entities \
--header 'Authorization: <api-key>'import requests
url = "https://api.abacco.ai/v1/master-entities"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.abacco.ai/v1/master-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abacco.ai/v1/master-entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.abacco.ai/v1/master-entities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.abacco.ai/v1/master-entities")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abacco.ai/v1/master-entities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 371,
"opaque_id": "eid_NDgyMTM6c2lnbmF0dXJl",
"tax_id": "76.798.398-0",
"name": "SUPLO SPA",
"email": "contacto@suplo.cl",
"addresses": [
{
"id": 6,
"address": "AV TAJAMAR 183 OF 401 OFIC",
"district": {
"id": 7,
"name": "LAS CONDES",
"city": {
"id": 3,
"name": "SANTIAGO"
}
},
"sii_branch_code": null,
"phone": null
}
],
"activities": [
{
"id": 1,
"code": "620900",
"name": "OTRAS ACTIVIDADES DE TECNOLOGIA DE LA IN"
}
]
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "API Key inválida o faltante"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}API
Empresa por RUT
Busca una entidad maestra específica por su RUT. Requiere autenticación por API Key.
Permisos requeridos: Este endpoint actualmente no requiere permisos específicos (AllowAny), pero requiere autenticación válida por API Key.
Respuesta: Retorna información completa de la entidad incluyendo direcciones y actividades económicas. Si la entidad no existe en la base de datos, el sistema intentará buscarla y crearla automáticamente usando el scraper del SII.
GET
/
master-entities
Buscar entidad por RUT
curl --request GET \
--url https://api.abacco.ai/v1/master-entities \
--header 'Authorization: <api-key>'import requests
url = "https://api.abacco.ai/v1/master-entities"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.abacco.ai/v1/master-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.abacco.ai/v1/master-entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.abacco.ai/v1/master-entities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.abacco.ai/v1/master-entities")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.abacco.ai/v1/master-entities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 371,
"opaque_id": "eid_NDgyMTM6c2lnbmF0dXJl",
"tax_id": "76.798.398-0",
"name": "SUPLO SPA",
"email": "contacto@suplo.cl",
"addresses": [
{
"id": 6,
"address": "AV TAJAMAR 183 OF 401 OFIC",
"district": {
"id": 7,
"name": "LAS CONDES",
"city": {
"id": 3,
"name": "SANTIAGO"
}
},
"sii_branch_code": null,
"phone": null
}
],
"activities": [
{
"id": 1,
"code": "620900",
"name": "OTRAS ACTIVIDADES DE TECNOLOGIA DE LA IN"
}
]
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "API Key inválida o faltante"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}Resuelve una empresa por RUT y entrega su
opaque_id (eid_...), el identificador que usan los demás endpoints.Authorizations
Query Parameters
Response
Entidad encontrada exitosamente